Bug 156018 - [PATCH] update databases/ruby-bdb to work with ruby 1.9
Summary: [PATCH] update databases/ruby-bdb to work with ruby 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-29 04:40 UTC by Steve Wills
Modified: 2011-04-22 12:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.33 KB, patch)
2011-03-29 04:40 UTC, Steve Wills
no flags Details | Diff
ruby-bdb-patch2.txt (2.81 KB, text/plain)
2011-04-06 02:16 UTC, Steve Wills
no flags Details
ruby-bdb-patch2.txt.sig (287 bytes, application/octet-stream)
2011-04-06 02:16 UTC, Steve Wills
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2011-03-29 04:40:13 UTC
databases/ruby-bdb doesn't currently work with RUBY_VER == 1.9. This patch fixes that. I've build tested this on 7.4, 8.2 and 9-CURRENT on both i386 and amd64. Run tested on all those too except 9-CURRENT i386.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-29 04:40:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2011-04-06 02:16:08 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Updated patch, see attached.

Steve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (FreeBSD)

iQEcBAEBAgAGBQJNm77YAAoJEPXPYrMgexuh3scH/iuQXupwUiGRp/EHW49PyyL0
JYQjAqdoJCLGhxtP4EpumjICS2njpgnolN0DXA+x65/9mT32a0z774Cb+0KmjC58
vYkkTVWzXuRn9aRIjdcjHA5DCU1LVOnOTempboLf0drv4D6lJSJy5g8bwDSvMn0g
IUEajNiVoyRFNkh5ChZx4XIL0J1Z5sDUXRjrUHZLQ8Q6ibuWuCierlY2jhBcSbSA
52ws7HPSQVCnvuV0uQuH30XZXk6eHZXDWDJU/ZD+h2V6eLB8CE5nv4/OMxaS9ZwC
Ya3IPp0NADt9OTSyrOu1yXxJTasICQCQcj6hM3Sj7HZP4nwruvHrOe6SZe3ehec=
=W56C
-----END PGP SIGNATURE-----
Comment 3 Akinori MUSHA freebsd_committer 2011-04-22 12:38:28 UTC
State Changed
From-To: open->closed

Sorry for the loooong delay. 

Finally committed, thanks.
Comment 4 dfilter service freebsd_committer 2011-04-22 12:38:29 UTC
knu         2011-04-22 11:38:16 UTC

  FreeBSD ports repository

  Modified files:
    databases/ruby-bdb   Makefile distinfo 
  Removed files:
    databases/ruby-bdb/files patch-src_common.c 
  Log:
  Update to 0.6.6 which I've just released.
  
  Ruby 1.9.2 is now supported.
  
  PR:             ports/156018
  Submitted by:   swills
  
  Revision  Changes    Path
  1.62      +8 -8      ports/databases/ruby-bdb/Makefile
  1.45      +2 -2      ports/databases/ruby-bdb/distinfo
  1.2       +0 -20     ports/databases/ruby-bdb/files/patch-src_common.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"